Package de.willuhn.jameica.hbci.messaging

# Class NeueUmsaetze

java.lang.Object
de.willuhn.jameica.hbci.messaging.NeueUmsaetze

All Implemented Interfaces:
  `de.willuhn.jameica.messaging.MessageConsumer`

public class NeueUmsaetze extends Object implements de.willuhn.jameica.messaging.MessageConsumer
Ueber die Klasse koennen die in der aktuellen Session abgerufenen Umsaetze ermittelt werden.

## Constructor Summary

Constructors
Constructor
Description
`NeueUmsaetze()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`autoRegister()`
`Class[]`
`getExpectedMessageTypes()`
`static de.willuhn.datasource.GenericIterator<Umsatz>`
`getNeueUmsaetze()`
Liefert eine Liste mit allen in der aktuellen Sitzung hinzugekommenen Umsaetzen.
`void`
`handleMessage(de.willuhn.jameica.messaging.Message message)`
`static boolean`
`isNew(Umsatz u)`
Liefert true, wenn der Umsatz in der aktuellen Sitzung abgerufen wurde.
`static void`
`reload()`
Lädt die Ungelesen-Infos der Umsätze aus der Datenbank neu.
`static void`
`setAllRead()`
Setzt den Ungelesen-Zaehler der Umsaetze auf 0.
`static void`
`setRead(Object umsaetze)`
Markiert einen oder mehrere Umsaetze als gelesen.
`static void`
`setUnread(Object umsaetze)`
Markiert einen oder mehrere Umsaetze als ungelesen.
`static int`
`size()`
Liefert die Anzahl neuer Umsätze.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NeueUmsaetze

public NeueUmsaetze()

## Method Details

### autoRegister

public boolean autoRegister()

Specified by:
  `autoRegister` in interface `de.willuhn.jameica.messaging.MessageConsumer`
See Also:
  - `MessageConsumer.autoRegister()`

### getExpectedMessageTypes

public Class[] getExpectedMessageTypes()

Specified by:
  `getExpectedMessageTypes` in interface `de.willuhn.jameica.messaging.MessageConsumer`
See Also:
  - `MessageConsumer.getExpectedMessageTypes()`

### handleMessage

public void handleMessage(de.willuhn.jameica.messaging.Message message) throws Exception

Specified by:
  `handleMessage` in interface `de.willuhn.jameica.messaging.MessageConsumer`
Throws:
  `Exception`
See Also:
  - `MessageConsumer.handleMessage(de.willuhn.jameica.messaging.Message)`

### getNeueUmsaetze

public static de.willuhn.datasource.GenericIterator<Umsatz> getNeueUmsaetze() throws RemoteException
Liefert eine Liste mit allen in der aktuellen Sitzung hinzugekommenen Umsaetzen.

Returns:
  Liste der neuen Umsaetze.
Throws:
  `RemoteException`

### setUnread

public static void setUnread(Object umsaetze)
Markiert einen oder mehrere Umsaetze als ungelesen.

Parameters:
  `umsaetze` - der oder die als ungelesen zu markierende Umsatz.

### setRead

public static void setRead(Object umsaetze)
Markiert einen oder mehrere Umsaetze als gelesen.

Parameters:
  `umsaetze` - der oder die als gelesen zu markierende Umsatz.

### size

public static int size()
Liefert die Anzahl neuer Umsätze.

Returns:
  die Anzahl neuer Umsätze.

### isNew

public static boolean isNew(Umsatz u)
Liefert true, wenn der Umsatz in der aktuellen Sitzung abgerufen wurde.

Parameters:
  `u` - der zu pruefende Umsatz.
Returns:
  true, wenn er neu ist.

### setAllRead

public static void setAllRead()
Setzt den Ungelesen-Zaehler der Umsaetze auf 0.

### reload

public static void reload()
Lädt die Ungelesen-Infos der Umsätze aus der Datenbank neu.